## kernel-image-2.4.26-hppa 2.4.26-4

=== debian/changelog ===
kernel-image-2.4.26-hppa (2.4.26-4) unstable; urgency=medium

  * Fixes Harmony buffer overruns and improve the driver.
  * Built against -pa5.

 -- Thibaut VARENE <varenet@debian.org>  Sun, 20 Jun 2004 19:22:07 +0200

kernel-image-2.4.26-hppa (2.4.26-3) unstable; urgency=low

  * build with latest gcc (lose the gcc-3.0 build dependency)
  * update config files to answer new SATA related questions

 -- Bdale Garbee <bdale@gag.com>  Thu, 10 Jun 2004 15:09:19 -0600

kernel-image-2.4.26-hppa (2.4.26-2) unstable; urgency=low

  * Rebuild with cleaner configs.

 -- LaMont Jones <lamont@debian.org>  Wed, 28 Apr 2004 20:20:40 -0600

kernel-image-2.4.26-hppa (2.4.26-1) unstable; urgency=low

  * New upstream release.

 -- LaMont Jones <lamont@debian.org>  Fri, 12 Mar 2004 08:22:38 -0700
